ScXML(3)

NAME
ScXML - namespace for static ScXML-related functions.

SYNOPSIS

#include <Inventor/scxml/ScXML.h>

  Static Public Member Functions
static void initClasses (void)
static void cleanClasses (void)
static ScXMLStateMachine * readFile (const char *filename)
static ScXMLStateMachine * readBuffer (const SbByteBuffer &buffer)
static SbBool registerEvaluatorType (SbName profilename, SoType evaluatortype)
static SbBool unregisterEvaluatorType (SbName profilename, SoType evaluatortype)
static SoType getEvaluatorTypeForProfile (SbName profilename)

Detailed Description

namespace for static ScXML-related functions. This is a static namespace class for ScXML-related functions.

Since
    Coin 3.0

Member Function Documentation

  void ScXML::initClasses (void ) [static]
Initializes the basic ScXML classes.

  ScXMLStateMachine * ScXML::readFile (const char * filename) [static]
This function reads in an SCXML document from a file.

Returns
    an ScXMLDocument-derived state machine object hierarchy.

  ScXMLStateMachine * ScXML::readBuffer (const SbByteBuffer & bufferdata) [static]
This function reads in an SCXML document residing in memory.

Returns
    an ScXMLDocument-derived state machine object hierarchy.

Author

Generated automatically by Doxygen for Coin from the source code.